Bug 91416 - NFS: accessing unavailable nfs partitions hangs when it shouldn't
NFS: accessing unavailable nfs partitions hangs when it shouldn't
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Steve Dickson
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-22 09:49 EDT by David Alden
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-11 07:39:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Alden 2003-05-22 09:49:39 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-19.7.x i686)

Description of problem:
Hi,
  I NFS mount my mail server (a Redhat 8.0 system running with the 
latest patches).  If I reboot the mail server, my desktop boxes lock
up.  I'm mounting mail with "-o rw,bg,soft,timeo=3,retrans=3" (and
I've even tried adding "intr", although it shouldn't make any
difference).  If I'm sitting in /var/mail on the client when the server
goes down, and I type "ls", my shell locks for an indefinite amount of
time (and I cannot interrupt it even though I specified "intr") before
displaying ".: Input/output error" -- as I expect it to -- (sometimes
it returns quickly, other times it never returns).  Help?
...dave alden


Version-Release number of selected component (if applicable):
kernel-smp-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. On "client", mount "server"'s /var/mail and cd into it:
   # mount -o rw,bg,soft,retrans=3,timeo=3 server:/var/mail /var/mail
   # cd /var/mail
2. On "server", halt it
   # halt
3. Back on "client", type ls
   # ls
   The amount of time it takes to respond varies greatly, and I
   cannot interrupt it with ^C.
    

Actual Results:  The system hangs for an indefinite amount of time and
interrupting it
(with ^C, yes I check what "intr" was with stty -a) doesn't work.

Expected Results:  2 issues:
  1) I should be able to interrupt it with ^C, shouldn't I?
  2) Shouldn't it return in basically the same amount of time each
     time I try this?

Additional info:
Comment 1 Steve Dickson 2004-08-11 07:39:38 EDT
This io errors is coming from the soft mount, try using hard,intr
as the mount options.

Note You need to log in before you can comment on or make changes to this bug.